https://mega.nz/file/mRY1VCTS#uDity3qEU5W0BI2KugMZmfGeLUOEQJpsdaYA6G24Re85.6.9-www.zip
Full decrypted - ministra with all files
and to install
https://mega.nz/file/aYI2yBDK#lnve1sLudYQLdoJt111reVUXeCf1zJwUIFu9fa6a1zw#!/bin/bash
# Stalker WM Portal Ministra road warrior installer for Debian, Ubuntu
# This script will work on Debian, Ubuntu and probably other distros
# of the same families, although no support is offered for them. It isn't
# bulletproof but it will probably work if you simply want to setup a Stalker WM Portal on
# your Debian/Ubuntu box. It has been designed to be as unobtrusive and
# universal as possible.
# This is a free shell script under GNU GPL version 3.0 or above
# Color schema
red='\033[01;31m'
blue='\033[01;34m'
green='\033[01;32m'
norm='\033[00m'
# Temporary colors
RED="$(tput setaf 1)"
YELLOW="$(tput setaf 3)"
CYAN="$(tput setaf 6)"
NORMAL="$(tput sgr0)"
# smallLoader colors
CSI="\033["
CEND="${CSI}0m"
CRED="${CSI}1;31m"
CGREEN="${CSI}1;32m"
CYELLOW="${CSI}1;33m"
CPURPLE="${CSI}1;35m"
CCYAN="${CSI}1;36m"
CBROWN="${CSI}0;33m"
txtgreen=$(tput bold ; tput setaf 2) # GreenBold
txtyellow=$(tput bold ; tput setaf 3) # YellowBold
# Setting for the new UTF-8 terminal support in Lion
locale-gen en_US.UTF-8 >> /dev/null 2>&1
export LANG="en_US.UTF-8" >> /dev/null 2>&1
# Spinner
function _spinner() {
local on_success="DONE"
local on_fail="FAIL"
local white="\e[1;37m"
local green="\e[1;32m"
local red="\e[1;31m"
local nc="\e[0m"
case $1 in
start)
let column=$(tput cols)-${#2}-8
echo -ne ${2}
printf "%${column}s"
i=1
sp='\|/-'
delay=${SPINNER_DELAY:-0.15}
while :
do
printf "\b${sp:i++%${#sp}:1}"
sleep $delay
done
;;
stop)
if [[ -z ${3} ]]; then
echo "spinner is not running.."
exit 1
fi
kill $3 > /dev/null 2>&1
echo -en "\b["
if [[ $2 -eq 0 ]]; then
echo -en "${green}${on_success}${nc}"
else
echo -en "${red}${on_fail}${nc}"
fi
echo -e "]"
;;
*)
echo "invalid argument, try {start/stop}"
exit 1
;;
esac
}
function start_spinner {
_spinner "start" "${1}" &
_sp_pid=$!
disown
}
function stop_spinner {
_spinner "stop" $1 $_sp_pid
unset _sp_pid
}
# smallLoader
smallLoader() {
echo ""
echo ""
echo -ne '[ + + + ] 3s \r'
sleep 1
echo -ne '[ + + + + + + ] 2s \r'
sleep 1
echo -ne '[ + + + + + + + + + ] 1s \r'
sleep 1
echo -ne '[ + + + + + + + + + ] Press [Enter] to continue... \r'
echo -ne '\n'
read -r
}
VER="5.6.9-Nulled"
PRODUCT="Ministra Portal"
WEB="http://`ifconfig | sed -En 's/
127.0.0.1//;s/.*inet (addr:)?(([0-9]*\.){3}[0-9]*).*/\2/p'`/stalker_portal"
WAN="`wget -q -O -
http://icanhazip.com/ | tail`"
LOCAL="http://`ifconfig | sed -En 's/
127.0.0.1//;s/.*inet (addr:)?(([0-9]*\.){3}[0-9]*).*/\2/p'`/stalker_portal"
PHPMA="http://`ip route get 8.8.8.8 | awk '{print $NF; exit}'`/phpmyadmin"
supported=" Ubuntu 16 amd64, Ubuntu 18 amd64"
skipyesno=0
# Ask a yes or no question
# if $skipyesno is 1, always Y
# if NONINTERACTIVE environment variable is 1, always Y
yesno () {
# XXX skipyesno is a global set in the calling script
# shellcheck disable=SC2154
if [ "$skipyesno" = "1" ]; then
return 0
fi
if [ "$NONINTERACTIVE" = "1" ]; then
return 0
fi
while read -r line; do
case $line in
y|Y|Yes|YES|yes|yES|yEs|YeS|yeS) return 0
;;
n|N|No|NO|no|nO) return 1
;;
*)
printf "\n${YELLOW}Please enter ${CYAN}[y]${YELLOW} or ${CYAN}[n]${YELLOW}:${NORMAL} "
;;
esac
done
}
install_msg() {
cat <<EOF
Welcome to the ${RED}$PRODUCT${NORMAL} installer, version ${RED}$VER${NORMAL}
This script must be run on a freshly installed supported OS. It does not
perform updates or upgrades (use your system package manager).
The systems currently supported by install.sh are:
EOF
echo "${CYAN}$supported${NORMAL}"
cat <<EOF
If your OS/version/arch is not listed, installation ${RED}will fail${NORMAL}. More
details about the systems supported by the script can be found here:
${UNDERLINE}${CYAN}
https://github.com/SlaSerX/stalker/blob/master/docs/os-suport${NORMAL}EOF
printf " Continue? (y/n) "
if ! yesno; then
exit
fi
}
if [ "$skipyesno" -ne 1 ] && [ -z "$setup_only" ]; then
install_msg
fi
#
apt-get update > /dev/null 2>&1
apt-get install net-tools ccze -y > /dev/null 2>&1
pass="skulltrt@0487"
source="
http://itbox.bg/configs"
sudo apt-get -y > /dev/null 2>&1
sudo apt-get install -y -u nginx > /dev/null 2>&1
start_spinner "❗${CYAN}Install Necessary services & packets${NORMAL}❗"
# Install Necessary support Ubuntu 20
sudo apt-get install -y software-properties-common > /dev/null 2>&1
add-apt-repository ppa:ondrej/php -y > /dev/null 2>&1
sudo apt-get update > /dev/null 2>&1
# Install Necessary services & packets
#sudo apt-get -y -u install zip unzip net-tools curl wget git sudo php7.0-mcrypt php7.0-mbstring memcached php-memcache php php-mysql php-pear nodejs libapache2-mod-php php-curl php-imagick php-sqlite3 > /dev/null 2>&1
sudo apt-get -y install php7.0-dev php7.0-mcrypt php7.0-intl php7.0-mbstring php7.0-zip memcached php7.0-memcache php7.0 php7.0-xml php7.0-gettext php7.0-soap php7.0-mysql php7.0-geoip php-pear nodejs libapache2-mod-php7.0 php7.0-curl php7.0-imagick php7.0-sqlite3 unzip > /dev/null 2>&1
update-alternatives --set php /usr/bin/php7.0 > /dev/null 2>&1
stop_spinner $?
# Apache & Nginx config
start_spinner "❗${CYAN}Apache & Nginx config${NORMAL}❗"
a2enmod rewrite > /dev/null 2>&1
apt-get purge libapache2-mod-php5filter > /dev/null 2>&1
phpenmod mcrypt > /dev/null 2>&1
cd /etc/apache2/sites-enabled/ > /dev/null 2>&1
rm -rf * > /dev/null 2>&1
wget -O 000-default.conf
http://hub.darklinux.uk/tv/h3x0r/f1l3s/confs/000-default.conf > /dev/null 2>&1
cd /etc/apache2/ > /dev/null 2>&1
rm -rf ports.conf > /dev/null 2>&1
wget -O ports.conf
http://hub.darklinux.uk/tv/h3x0r/f1l3s/confs/ports.conf > /dev/null 2>&1
cd /etc/nginx/sites-available/ > /dev/null 2>&1
rm -rf default > /dev/null 2>&1
wget -O default
http://hub.darklinux.uk/tv/h3x0r/f1l3s/confs/default > /dev/null 2>&1
/etc/init.d/apache2 restart > /dev/null 2>&1
/etc/init.d/nginx restart > /dev/null 2>&1
phpenmod mcrypt > /dev/null 2>&1
a2enmod remoteip > /dev/null 2>&1
apt-get update > /dev/null 2>&1
stop_spinner $?
start_spinner "❗${CYAN}Install Pear and NPM${NORMAL}❗"
# Pear
pear channel-discover
pear.phing.info > /dev/null 2>&1
pear install phing/phing-2.15.0 > /dev/null 2>&1
# Install NPM 2.5.11
sudo apt-get -y -u install npm > /dev/null 2>&1
sudo npm install -g n...@2.15.11 > /dev/null 2>&1
npm config set strict-ssl false > /dev/null 2>&1
sudo ln -s /usr/bin/nodejs /usr/bin/node > /dev/null 2>&1
# Set the Server Timezone to CST
echo "Europe/Sofia" > /etc/timezone > /dev/null 2>&1
dpkg-reconfigure -f noninteractive tzdata > /dev/null 2>&1
stop_spinner $?
#
start_spinner "❗${CYAN}Install and Setting MySQL Server${NORMAL}❗"
echo "mysql-server mysql-server/root_password password $pass" | sudo debconf-set-selections > /dev/null 2>&1
echo "mysql-server mysql-server/root_password_again password $pass" | sudo debconf-set-selections > /dev/null 2>&1
apt-get install -y mysql-server > /dev/null 2>&1
sed -i 's/127\.0\.0\.1/0\.0\.0\.0/g' /etc/mysql/my.cnf > /dev/null 2>&1
mysql -uroot -p$pass -e 'USE mysql; UPDATE `user` SET `Host`="%" WHERE `User`="root" AND `Host`="localhost"; DELETE FROM `user` WHERE `Host` != "%" AND `User`="root"; FLUSH PRIVILEGES;' > /dev/null 2>&1
cd /etc/mysql/conf.d/ > /dev/null 2>&1
wget -O strict_mode.cnf
http://hub.darklinux.uk/tv/h3x0r/f1l3s/confs/strict_mode.cnf > /dev/null 2>&1
echo 'sql_mode=""' >> /etc/mysql/mysql.conf.d/mysqld.cnf > /dev/null 2>&1
service mysql restart > /dev/null 2>&1
# Download Ministra
rm -rf /var/www > /dev/null 2>&1
cd /var/ > /dev/null 2>&1
wget /5.6.9/www.zip > /dev/null 2>&1
chown -R wwww-data:wwww-data /var/www > /dev/null 2>&1
unzip www.zip > /dev/null 2>&1
rm -rf *.zip > /dev/null 2>&1
# Create Database
mysql -uroot -p$pass -e "create database stalker_db" > /dev/null 2>&1
mysql -uroot -p$pass -e "GRANT ALL PRIVILEGES ON stalker_db.* TO stalker@localhost IDENTIFIED BY 'skulltrt@0487' WITH GRANT OPTION;" > /dev/null 2>&1
# MySQL Settings
echo 'sql_mode=""' >> /etc/mysql/mysql.conf.d/mysqld.cnf > /dev/null 2>&1
echo 'default_authentication_plugin=mysql_native_password' >> /etc/mysql/mysql.conf.d/mysqld.cnf > /dev/null 2>&1
/etc/init.d/mysql restart > /dev/null 2>&1
cd /tmp > /dev/null 2>&1
wget stalker_db.sql > /dev/null 2>&1
mysql -uroot -pskulltrt@0487 stalker_db < stalker_db.sql > /dev/null 2>&1
rm -rf stalker_db.sql > /dev/null 2>&1
stop_spinner $?
start_spinner "❗${CYAN}PHP And Ministra Settings${NORMAL}❗"
# PHP Settings
sed -i 's/short_open_tag = Off/short_open_tag = On/g' /etc/php/7.0/apache2/php.ini > /dev/null 2>&1
ln -s /etc/php/7.0/mods-available/mcrypt.ini /etc/php/8.0/mods-available/ > /dev/null 2>&1
phpenmod mcrypt > /dev/null 2>&1
a2enmod rewrite > /dev/null 2>&1
apt-get purge libapache2-mod-php5filter > /dev/null 2>&1
# Ministra Custom config
#cd /var/www/stalker_portal/server > /dev/null 2>&1
#wget -O config.ini
http://hub.darklinux.uk/tv/h3x0r/f1l3s/confs/config.ini > /dev/null 2>&1
/etc/init.d/apache2 restart > /dev/null 2>&1
# Fix Smart Launcher Applications
mkdir /var/www/.npm > /dev/null 2>&1
chmod 777 /var/www/.npm > /dev/null 2>&1
stop_spinner $?
# Phing :)
cd /var/www/stalker_portal/deploy
sudo phing
#Patch support MAG5xx
start_spinner "❗${CYAN}Patching Ministra 5.6.9 Please wait${NORMAL}❗"
cd /tmp > /dev/null 2>&1
wget stalker_db.sql > /dev/null 2>&1
mysql -uroot -pskulltrt@0487 stalker_db < stalker_db.sql > /dev/null 2>&1
rm -rf stalker_db.sql > /dev/null 2>&1
rm -rf /var/www > /dev/null 2>&1
cd /var/ > /dev/null 2>&1
wget /5.6.9/www.zip > /dev/null 2>&1
chown -R wwww-data:wwww-data /var/www > /dev/null 2>&1
unzip www.zip > /dev/null 2>&1
rm -rf *.zip > /dev/null 2>&1
stop_spinner $?
chown -R wwww-data:wwww-data /var/www
echo ""
echo -e "${CCYAN}-----------------------------------------------------------------------${CEND}"
echo ""
echo -e "${CCYAN}[ Install Complete Default username is: ${CRED}admin${CEND} ${CCYAN}Default password is: ${CRED}1${CEND} ${CCYAN}: ]${CEND}"
echo ""
echo -e "IP WAN : ${CGREEN}${WAN}${CEND}"
echo -e "Local IP : ${CGREEN}${LOCAL}${CEND}"
echo -e "MySQL Pass : ${CGREEN}${pass}${CEND}"
echo -e "WEB : ${CGREEN}${WEB}${CEND}"
echo -e "Nulled by : ${CGREEN}
https://slaserx.dev${CEND}"
echo -e "Support : ${CGREEN}Telegram:
https://t.me/SlaSerX${CEND}"
echo ""
echo -e "${CCYAN}-----------------------------------------------------------------------${CEND}"
echo ""